Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Scopes

public.product:write
Bearer
public.product:write
OAuth2

Product (Write)

Headers

Idempotency-Key
string

A unique key, such as a UUID, that makes it safe to retry this request. The first successful (2xx) response for a key is stored for 24 hours and returned unchanged, including its request_id, for later requests with the same key, without running the request again. Keys are unique per operator, case-insensitive and trimmed of surrounding whitespace. Failed requests are not stored, so they can be retried with the same key. While a request with the same key is still in progress, another one returns 409 Conflict with code idempotency_conflict. The request body and path are not compared, so use a new key for each request. For more, see the documentation page.

Path Parameters

product_id
string
required

The ID of the product

Pattern: ^prod_

Query Parameters

expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

fields
string[]

Returns only the listed fields, such as id,status,site.name. Identifiers and constant fields such as object are always returned. A field inside an expandable association also needs it in expand, unless the collapsed association returns it, such as site.id. For more, see the documentation page.

Body

application/json

Base prices available for recurring billing periods (Protection Levels, Unit Types, and Products).

monthly
object

Price for the monthly billing period.

weekly
object

Price for the weekly billing period.

every_four_weeks
object

Price for the every_four_weeks billing period.

every_three_months
object

Price for the every_three_months billing period.

every_six_months
object

Price for the every_six_months billing period.

yearly
object

Price for the yearly billing period.

Response

one_time product with created base prices

Single Product

product
object
required

Product

meta
object
required